com.holonplatform.vaadin.js

## Class ElementPropertyHandler

- java.lang.Object
- - com.vaadin.server.AbstractClientConnector
  - - com.vaadin.server.AbstractExtension
    - - com.vaadin.server.AbstractJavaScriptExtension
      - - com.holonplatform.vaadin.js.ElementPropertyHandler

- All Implemented Interfaces:
    com.vaadin.event.MethodEventSource, com.vaadin.server.ClientConnector, com.vaadin.server.Extension, com.vaadin.shared.Connector, Serializable

      @JavaScript(value="holon-vaadin-min.js")
      public class ElementPropertyHandler
      extends com.vaadin.server.AbstractJavaScriptExtension

  JavaScript extension to set properties in html element of extended `Component`.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.vaadin.server.ClientConnector

      `com.vaadin.server.ClientConnector.AttachEvent, com.vaadin.server.ClientConnector.AttachListener, com.vaadin.server.ClientConnector.ConnectorErrorEvent, com.vaadin.server.ClientConnector.DetachEvent, com.vaadin.server.ClientConnector.DetachListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementPropertyHandler(com.vaadin.ui.AbstractComponent component)` Register this extension on given component

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `removeProperty(String name)` Remove an HTML property in the element bound to the extended Component
    `void` | `setEventHandler(String eventName, String js)` Set an event handler with given `eventName` in the element bound to the extended Component using given JavaScript content.
    `void` | `setProperty(String name, Object value)` Set a custom HTML property in the element bound to the extended Component

    - ### Methods inherited from class com.vaadin.server.AbstractExtension

      `getParent, remove, setParent`

    - ### Methods inherited from class com.vaadin.server.AbstractClientConnector

      `addAttachListener, addDetachListener, addListener, addListener, attach, beforeClientResponse, detach, encodeState, equals, getAllChildrenIterable, getConnectorId, getErrorHandler, getExtensions, getListeners, getRpcManager, getStateType, getUI, handleConnectorRequest, hashCode, isAttached, isConnectorEnabled, markAsDirty, markAsDirtyRecursive, removeAttachListener, removeDetachListener, removeExtension, removeListener, removeListener, removeListener, requestRepaint, requestRepaintAll, retrievePendingRpcCalls, setErrorHandler`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.vaadin.server.ClientConnector

      `addAttachListener, addDetachListener, attach, beforeClientResponse, detach, encodeState, getErrorHandler, getExtensions, getRpcManager, getStateType, getUI, handleConnectorRequest, isAttached, isConnectorEnabled, markAsDirty, markAsDirtyRecursive, removeAttachListener, removeDetachListener, removeExtension, requestRepaint, requestRepaintAll, retrievePendingRpcCalls, setErrorHandler`

    - ### Methods inherited from interface com.vaadin.shared.Connector

      `getConnectorId`

- - ### Constructor Detail

    - #### ElementPropertyHandler

          public ElementPropertyHandler(com.vaadin.ui.AbstractComponent component)

      Register this extension on given component
      Parameters:
        `component` - Component to extend

  - ### Method Detail

    - #### setProperty

          public void setProperty(String name,
                                  Object value)

      Set a custom HTML property in the element bound to the extended Component
      Parameters:
        `name` - Property name
        `value` - Property value

    - #### removeProperty

          public void removeProperty(String name)

      Remove an HTML property in the element bound to the extended Component
      Parameters:
        `name` - Property name to remove

    - #### setEventHandler

          public void setEventHandler(String eventName,
                                      String js)

      Set an event handler with given `eventName` in the element bound to the extended Component using given JavaScript content.
      Parameters:
        `eventName` - Event name to register
        `js` - JavaScript to execute when event is fired

Copyright © 2019 The Holon Platform. All rights reserved.